<?php

/*

 $Id: show_pointers.inc,v 1.5 2003/09/08 15:43:21 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_pointers.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Domains Template
	Display all the domains for a specific zone. 
*/
if ($conf['script'] != "search.php") {
?>
<p class="header2">Showing <?= $conf['zone']->name; ?>'s Pointers</p>
<?
} //if it's not search.php


if (count($pointers)) { 
show_template('tborder');
// total_items has to be passed in to determine how many page tabs to make
$conf['ui']->show_list_header($total_items);
?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center">
    		<td class="widget-title">
		<a href = "<?= $conf['script'] ?>?action=<?= $conf['action'] ?>&sort_type=hostname" title="<? $conf['help']->display_plain_txt("hostname"); ?>">Hostname</a>
		<? if ($user->view->sort_type == "hostname") { $conf['ui']->show_arrow(); } ?>
		</td>
    		<td class="widget-title">
		<a href = "<?= $conf['script'] ?>?action=<?= $conf['action'] ?>&sort_type=ip" title="<? $conf['help']->display_plain_txt("ip"); ?>">IP Address</a>
		<? if ($user->view->sort_type == "ip") { $conf['ui']->show_arrow(); } ?>
		</td>
    		<td class="widget-title">
		<a href = "<?= $conf['script'] ?>?action=<?= $conf['action'] ?>&sort_type=ttl" title="<? $conf['help']->display_plain_txt("ttl"); ?>">TTL</a>
		<? if ($user->view->sort_type == "ttl") { $conf['ui']->show_arrow(); } ?>
		</td>
    		<td class="widget-title">
		<a href = "<?= $conf['script'] ?>?action=<?= $conf['action'] ?>&sort_type=type" title="<? $conf['help']->display_plain_txt("pointer_type"); ?>">Type</a>
		<? if ($user->view->sort_type == "type") { $conf['ui']->show_arrow(); } ?>
		</td>
                <td class="widget-title">Action</td>
	</tr>

<?
foreach ($pointers as $pointer) {

	if ($pointer->status == 'enabled') { 
		$new_status = 'disabled';
	}
	else {
		$new_status = 'enabled';
	}

?>

	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td>
			<a href="<?= $conf['web_path']; ?>/pointer.php?action=show_pointer&amp;pointer_id=<?= $pointer->id; ?>">
			<? $conf['ui']->display_field($pointer->hostname); ?>
			</a>
		</td>
		<td><? $conf['ui']->display_field($pointer->ip->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($pointer->ttl); ?></td>
		<td><? $conf['ui']->display_field($pointer->type); ?></td>
		<td>
			<? if ($user->has_access($pointer->zone) >= 50) { ?>
			<a href="<?= $conf['web_path']; ?>/pointer.php?action=edit_pointer&amp;pointer_id=<?= $pointer->id; ?>">Edit</a> | 
			<a href="<?= $conf['web_path']; ?>/pointer.php?action=change_status&amp;pointer_id=<?= $pointer->id; ?>&amp;status=<?= $new_status; ?>">
				<? if ($pointer->status == 'enabled') { echo "Disable"; } else { echo "Enable"; } ?>
			</a>
			| <a href="<?= $conf['web_path']; ?>/pointer.php?action=show_delete_pointer&amp;pointer_id=<?= $pointer->id ?>">Delete</a>
			<? } elseif (!$user->is_admin AND !$user->is_zone_admin) { ?>
				<a href="<?= $conf['web_path']; ?>/pointer.php?action=show_pointer&amp;pointer_id=<?= $domain->id ?>">View</a>
			<? } ?>				
		</td>
	</tr>
<?
}
?>
</table>

<?
$conf['ui']->show_list_header($total_items);
show_template('bborder');
} // if no count pointers
else {
	echo "<p align=\"center\" class=\"fatalerror\">No Pointers Found</p>";
}
?>
