<?php

/* ------------------- CVS INFO ---------------------- 
 *	
 *	$Source: /data/cvsroot/libglue/error.php,v $
 *	last modified by $Author: hopson $ at $Date: 2003/05/06 21:01:17 $ 
 *
 *	The webmanage project is part of 
 *		OSU Central Web Services.
 *	Any questions about this system can be addressed
 *		to cws-dev@lists.orst.edu
 *	This system does not judge users based on
 *		their tendency to imbibe alchoholic beverages.
 *
 * --------------------------------------------------- 
 */
 /*
 The base error class that will be used for all of the error processing
   when doing form validation, etc. When checking use
if ($conf['error']->error_state) { } to see if ANY errors have occured. 
use if ($conf['error']->get_stats($name) { } to see if a specific error has occured.

if you want to make sure no errors occured (for updating) use the following

	if (!($conf['error']->error_state) ) {  } 

*/

class Error {
	var $status;
	var $message;
	var $error_state;

	function Error () {
		$this->status      = array();
		$this->message     = array();
		$this->error_state = false;
	} // Error

	//adds a error message with a specified name and sets the error state to true
	function add_error($name, $msg) {
		//set the error state to true and set the stats to true..
		$this->error_state = true;
		$this->status[$name] = true;

		//mojo that allows us to have more than one error occur in the same field
		if (!$this->message[$name]) { $this->message[$name] = "<br />" .$msg; }
		elseif ($this->message[$name]) { $this->message[$name] .= "<br />\n " . $msg; }

	}

	//gets the status of a single error name
	function get_status($name) {
		return $this->status[$name];
	} 

	//grabs the specified message
	function get_message($name) {
		return $this->message[$name];
	}
	//displays the error message with the extra error font class mojo.
	function show_message ($name) {
		$msg = $this->message[$name];
		print("&nbsp; <font class=\"error\">$msg</font>");
	}
} // class Error

?>
